Skip TLSv1_0 and TLSv1_1 test cases
--- a/lib/cpp/test/SecurityFromBufferTest.cpp
+++ b/lib/cpp/test/SecurityFromBufferTest.cpp
@@ -224,6 +224,16 @@ BOOST_AUTO_TEST_CASE(ssl_security_matrix) {
         }
 #endif

+        if (si == 3 || ci == 3) {
+          // Skip all TLSv1_0 cases - protocol not supported
+          continue;
+        }
+
+        if (si == 4 || ci == 4) {
+          // Skip all TLSv1_1 cases - protocol not supported
+          continue;
+        }
+
         boost::mutex::scoped_lock lock(mMutex);

         BOOST_TEST_MESSAGE(boost::format("TEST: Server = %1%, Client = %2%") % protocol2str(si)
--- a/lib/cpp/test/SecurityTest.cpp
+++ b/lib/cpp/test/SecurityTest.cpp
@@ -250,6 +250,18 @@ BOOST_AUTO_TEST_CASE(ssl_security_matrix)
                 }
 #endif

+                if (si == 3 || ci == 3)
+                {
+                    // Skip all TLSv1_0 cases - protocol not supported
+                    continue;
+                }
+
+                if (si == 4 || ci == 4)
+                {
+                    // Skip all TLSv1_1 cases - protocol not supported
+                    continue;
+                }
+
                 boost::mutex::scoped_lock lock(mMutex);

                 BOOST_TEST_MESSAGE(boost::format("TEST: Server = %1%, Client = %2%")
